/*
 * Ce module fournit un log personnalisé
 */
topistoConsole = function(){

  var _flag       = true;
  
  function _log(texte)
  {
    if (_flag) console.log(texte);
    return _flag;
  };

  function _on()
  {
    _flag = true;
    return _flag;
  };

  function _off()
  {
    _flag = false;
    return _flag;
  };

  return {log: _log, on: _on, off: _off};
}();
